import {ModalField, ModalTextArea} from '@components';
import {FC} from 'react';
import {useField, useFormValues} from './hooks';

type Props = {
  id: string,
};
const Info: FC<Props> = function({id}) {
  const {control} = useField();
  useFormValues(id);

  return (
    <>
      <ModalField
        name='roleName'
        width='300px'
        label='角色名'
        control={control}
      />
      <ModalTextArea
        name='roleRemarks'
        width='300px'
        height='80px'
        label='备注'
        control={control}
      />
    </>
  );
};

export default Info;
